package main

import "surdeus.su/core/cli/tx"
import "fmt"
import "log"
import "os"

func main() {
	term, ok := tx.NewTerminal(os.Stdin)
	if !ok {
		// Some not terminal handling.
		log.Fatal("not terminal")
	}
	term.MakeRaw()
	defer term.Restore()

	w, h, err := term.GetSize()
	if err != nil {
		log.Fatalf("term.GetSize(...): %s\n", err)
	}
	fmt.Printf("%d\n%d\n", w, h)

	for {
		key, _, err := term.ReadKey()
		if err != nil {
			log.Fatalf("term.ReadLine(...): %s\n", err)
		}
		if key == tx.KeyControlC {
			break
		}
		term.Printf("shit: %q\r\n", key)
	}
}

